Bug 1416114 (CVE-2017-5549) - CVE-2017-5549 kernel: Incorrect line-state error handling
Summary: CVE-2017-5549 kernel: Incorrect line-state error handling
Status: CLOSED WONTFIX
Alias: CVE-2017-5549
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=low,public=20170110,reported=2...
Keywords: Security
Depends On: 1416128 1417599
Blocks: 1416137
TreeView+ depends on / blocked
 
Reported: 2017-01-24 15:50 UTC by Adam Mariš
Modified: 2019-06-08 21:44 UTC (History)
35 users (show)

(edit)
It was found that current implementation of kl5kusb105 driver failed to detect short transfers when attempting to read the line state and logged the content of the uninitialized heap transfer buffer.
Clone Of:
(edit)
Last Closed: 2017-01-30 12:02:56 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2017:3163 normal SHIPPED_LIVE new packages: kernel-alt 2017-11-09 14:59:25 UTC

Description Adam Mariš 2017-01-24 15:50:43 UTC
It was found that current implementation of kl5kusb105 driver failed to detect short transfers when attempting to read the line state and logged the content of the uninitialised heap transfer buffer.

Upstream patch:

https://git.kernel.org/cgit/linux/kernel/git/torvalds/linux.git/commit/?id=146cc8a17a3b4996f6805ee5c080e7101277c410

CVE assignment:

http://seclists.org/oss-sec/2017/q1/161

Comment 1 Adam Mariš 2017-01-24 16:30:21 UTC
Created kernel tracking bugs for this issue:

Affects: fedora-all [bug 1416128]

Comment 2 Justin M. Forbes 2017-01-24 17:49:56 UTC
This issue was fixed with the 4.9.5 stable release, currently available on all supported Fedora releases.

Comment 6 Vladis Dronov 2017-01-30 12:01:09 UTC
Statement:

This issue affects the Linux kernel packages as shipped with Red Hat Enterprise Linux 5, 6, 7 and MRG-2. This has been rated as having Low security impact and is not currently planned to be addressed in future updates. For additional information, refer to the Red Hat Enterprise Linux Life Cycle: https://access.redhat.com/support/policy/updates/errata/.


Note You need to log in before you can comment on or make changes to this bug.